Skip to main content
GET
/
me
Get profile
curl --request GET \
  --url https://api.veryfront.com/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "default_project": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "email": "jsmith@example.com",
  "name": "<string>",
  "avatar_src": "<string>",
  "role": [
    "<string>"
  ],
  "approved": true,
  "subscription": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "pro",
    "cycle": "monthly",
    "quantity": 123,
    "expires_at": "<string>",
    "created_at": "<string>",
    "canceled_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Response

Current user profile

id
string<uuid>
required

Authenticated user ID

default_project
object
required
email
string<email>

User email address

name
string

User display name

avatar_src
string

User avatar image URL

role
string[]

User roles

approved
boolean

Whether the user is approved

subscription
object